<bugID>1334760<Summary>Insecure login warning on page with embedded secure login within an iframe</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:51.0) Gecko/20100101 Firefox/51.0
Build ID: 20170125094131

Steps to reproduce:

I was visiting a forum which has an embedded (iframe) login, and was flagged as insecure by FF. 

However, after doing a bit of digging, it seems secure and therefore incorrectly marked by the check.

1. Navigate to a page with a HTTPS login within an iframe, such as http://forhonor.ubisoft.com/game/en-US/home/index.aspx.
2. Left click on "Sign in"
3. Right click on Email field, and choose This Frame &gt; Show Only This Frame
4. Note the login widget as displayed is regarded as fully secure (green padlock).

Using Devtools Inspector confirmed no HTTP:// links within the iframe.


Actual results:

Insecure icon and warning was displayed for site.


Expected results:

Insecure icon and warning should not be displayed for site.</Description></bugID>